	<!DOCTYPE html>
<html lang='en'>
<head>
  <meta charset='utf-8' />
  <link href='https://cdn.jsdelivr.net/npm/fullcalendar@5.10.1/main.min.css' rel='stylesheet' />
  <script src='https://cdn.jsdelivr.net/npm/fullcalendar@5.10.1/main.min.js'></script>
  <style>
    .event-container {
      display: flex;
      align-items: center;
    }
    .event-icon {
      margin-right: 10px;
      font-size: 20px;
    }
    .event-title {
      font-weight: bold;
    
    }
    .event-time {
      color: black;
      font-weight: bold; /* Add this line to make the time bold */
    }
    .fc-daygrid-day {
      height: 150px !important; /* Set your desired fixed height here */
    }
  </style>
  <script>
document.addEventListener('DOMContentLoaded', function() {
    var calendarEl = document.getElementById('calendar');
    var calendar = new FullCalendar.Calendar(calendarEl, {
        initialView: 'dayGridMonth',
        events: 'get_events.php', // URL to fetch events data from the server
        eventTimeFormat: {
            hour: 'numeric',
            minute: '2-digit',
            hour12: true
        },
        eventOrder: ['IN', 'OUT', 'SCHEDULE IN', 'SCHEDULE OUT','HOLIDAY','LEAVE'], // Custom order
        eventContent: function(info) {
            var eventType = info.event.extendedProps.eventType;
            var iconHtml = '';

            if (eventType) {
                iconHtml = '<span class="event-icon">' + info.event.extendedProps.icon + '</span>';
            }

            var timeHtml = '';
            if (info.event.start && (info.event.start.getHours() !== 0 || info.event.start.getMinutes() !== 0)) {
                timeHtml = '<div class="event-time">' + info.event.start.toLocaleTimeString([], { hour: '2-digit', minute: '2-digit', hour12: true }) + '</div>';
            }

            return {
                html: iconHtml + '<div class="fc-title">' + (timeHtml + info.event.title) + '</div>'
            };
        },
        eventClick: function(info) {
            if (info.event.extendedProps.description) {
                alert("Description: " + info.event.extendedProps.description);
            }
        }
    });

    calendar.render();
});




  </script>
</head>
<body>
  <div id='calendar'></div>
</body>
</html>
